#
# spec file for package perl-PadWalker
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-PadWalker
Version:        2.3
Release:        36.1
%define cpan_name PadWalker
Summary:        Play with Other Peoples' Lexical Variables
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/PadWalker/
Source0:        https://cpan.metacpan.org/authors/id/R/RO/ROBIN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
PadWalker is a module which allows you to inspect (and even change!)
lexical variables in any subroutine which called you. It will only show
those variables which are in scope at the point of the call.

PadWalker is particularly useful for debugging. It's even used by Perl's
built-in debugger. (It can also be used for evil, of course.)

I wouldn't recommend using PadWalker directly in production code, but it's
your call. Some of the modules that use PadWalker internally are certainly
safe for and useful in production.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Nov 11 2017 coolo@suse.com
- updated to 2.3
  see /usr/share/doc/packages/perl-PadWalker/Changes
  2.3  Fri 10 Nov 2017 18:26:29 GMT
  - Make tests work with -Ddefault_inc_excludes_dot
    https://rt.cpan.org/Public/Bug/Display.html?id=120421
* Sat Oct 24 2015 coolo@suse.com
- updated to 2.2
  see /usr/share/doc/packages/perl-PadWalker/Changes
  2.2  Fri 23 Oct 2015 17:55:31 BST
  - Convert to PERL_NO_GET_CONTEXT
    https://github.com/robinhouston/PadWalker/pull/2
* Sat Apr 25 2015 coolo@suse.com
- updated to 2.1
  see /usr/share/doc/packages/perl-PadWalker/Changes
  2.1  Fri 24 Apr 2015 20:29:12 BST
  - Another bleadperl fix
    https://rt.cpan.org/Public/Bug/Display.html?id=101037
* Wed Apr 15 2015 coolo@suse.com
- updated to 2.0
  see /usr/share/doc/packages/perl-PadWalker/Changes
  1.99  Tue 11 Nov 2014 15:01:37 CET
  - Make it compatible with bleadperl.
    Patch from Father Chrysostomous at https://rt.cpan.org/Public/Bug/Display.html?id=100262
  1.99_1  Tue 11 Nov 2014 19:38:17 CET
  - Restore compatibility with perl 5.8
    Patch from paul@city-fan.org at https://rt.cpan.org/Public/Bug/Display.html?id=100262#txn-1431869
  2.0  Mon  8 Dec 2014 13:45:37 GMT
  - Restore compatibility with bleadperl
    Patch from Dagfinn Ilmari Mannsåker at https://github.com/robinhouston/PadWalker/pull/3
* Sun Oct 27 2013 rschweikert@suse.com
- Update to latest version 1.98
  + Improve peek_sub error handling
  Thanks to Zefram for the bug report.
  See https://rt.cpan.org/Ticket/Display.html?id=89679
  + Make new test compatible with old versions of perl.
* Sat Jun  8 2013 rschweikert@suse.com
- Update to latest source, version 1.96
  + Correct the version number in META.yml
  + Make one of the tests a bit more flexible, to accommodate a subtle
    change in behaviour caused by a recent change to perl
  + Restore compatibility with Perl 5.8
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Nov 24 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- cleanup changelog
- no /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Wed Aug  4 2010 rschweikert@novell.com
- Update to latest source, version 1.92
* Sun Nov 29 2009 rschweikert@novell.com
- No indentation for description in spec file
* Tue Nov 24 2009 rschweikert@novell.com
- Initial build, version 1.9
